/* Utils.c generated by valac 0.34.4, the Vala compiler
 * generated from Utils.vala, do not modify */

/*
 * Copyright (c) 2011-2015 Wingpanel Developers (http://launchpad.net/wingpanel)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>


#define POWER_SERVICES_TYPE_DEVICE (power_services_device_get_type ())
#define POWER_SERVICES_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), POWER_SERVICES_TYPE_DEVICE, PowerServicesDevice))
#define POWER_SERVICES_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), POWER_SERVICES_TYPE_DEVICE, PowerServicesDeviceClass))
#define POWER_SERVICES_IS_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), POWER_SERVICES_TYPE_DEVICE))
#define POWER_SERVICES_IS_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), POWER_SERVICES_TYPE_DEVICE))
#define POWER_SERVICES_DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), POWER_SERVICES_TYPE_DEVICE, PowerServicesDeviceClass))

typedef struct _PowerServicesDevice PowerServicesDevice;
typedef struct _PowerServicesDeviceClass PowerServicesDeviceClass;
#define _g_free0(var) (var = (g_free (var), NULL))



gboolean power_utils_type_is_battery (guint32 device_type);
#define DEVICE_TYPE_UNKNOWN ((guint32) 0)
#define DEVICE_TYPE_LINE_POWER ((guint32) 1)
gboolean power_utils_type_has_device_icon (guint32 device_type);
#define DEVICE_TYPE_PHONE ((guint32) 8)
#define DEVICE_TYPE_MOUSE ((guint32) 5)
#define DEVICE_TYPE_KEYBOARD ((guint32) 6)
GType power_services_device_get_type (void) G_GNUC_CONST;
gchar* power_utils_get_symbolic_icon_name_for_battery (PowerServicesDevice* battery);
gchar* power_utils_get_icon_name_for_battery (PowerServicesDevice* battery);
gboolean power_utils_is_charging (guint32 state);
guint32 power_services_device_get_state (PowerServicesDevice* self);
gchar* power_utils_get_battery_icon (gdouble percentage, gint64 remaining_time);
gdouble power_services_device_get_percentage (PowerServicesDevice* self);
gint64 power_services_device_get_time_to_empty (PowerServicesDevice* self);
gchar* power_utils_get_icon_name_for_device (PowerServicesDevice* device);
guint32 power_services_device_get_device_type (PowerServicesDevice* self);
#define DEVICE_STATE_FULLY_CHARGED ((guint32) 4)
#define DEVICE_STATE_CHARGING ((guint32) 1)
gchar* power_utils_get_title_for_battery (PowerServicesDevice* battery);
#define DEVICE_TYPE_BATTERY ((guint32) 2)
#define DEVICE_TYPE_UPS ((guint32) 3)
#define DEVICE_TYPE_MONITOR ((guint32) 4)
#define DEVICE_TYPE_PDA ((guint32) 7)
const gchar* power_services_device_get_vendor (PowerServicesDevice* self);
const gchar* power_services_device_get_model (PowerServicesDevice* self);
gchar* power_utils_get_info_for_battery (PowerServicesDevice* battery);
gint64 power_services_device_get_time_to_full (PowerServicesDevice* self);
#define CONSTANTS_GETTEXT_PACKAGE "power-indicator"
void power_utils_translations (void);


gboolean power_utils_type_is_battery (guint32 device_type) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	guint32 _tmp1_ = 0U;
#line 22 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp1_ = device_type;
#line 22 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp1_ != DEVICE_TYPE_UNKNOWN) {
#line 86 "Utils.c"
		guint32 _tmp2_ = 0U;
#line 22 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp2_ = device_type;
#line 22 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp0_ = _tmp2_ != DEVICE_TYPE_LINE_POWER;
#line 92 "Utils.c"
	} else {
#line 22 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp0_ = FALSE;
#line 96 "Utils.c"
	}
#line 22 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	result = _tmp0_;
#line 22 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	return result;
#line 102 "Utils.c"
}


gboolean power_utils_type_has_device_icon (guint32 device_type) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	guint32 _tmp2_ = 0U;
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp2_ = device_type;
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp2_ == DEVICE_TYPE_PHONE) {
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp1_ = TRUE;
#line 117 "Utils.c"
	} else {
		guint32 _tmp3_ = 0U;
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp3_ = device_type;
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp1_ = _tmp3_ == DEVICE_TYPE_MOUSE;
#line 124 "Utils.c"
	}
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp1_) {
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp0_ = TRUE;
#line 130 "Utils.c"
	} else {
		guint32 _tmp4_ = 0U;
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp4_ = device_type;
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp0_ = _tmp4_ == DEVICE_TYPE_KEYBOARD;
#line 137 "Utils.c"
	}
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	result = _tmp0_;
#line 26 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	return result;
#line 143 "Utils.c"
}


gchar* power_utils_get_symbolic_icon_name_for_battery (PowerServicesDevice* battery) {
	gchar* result = NULL;
	PowerServicesDevice* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 29 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	g_return_val_if_fail (battery != NULL, NULL);
#line 30 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp0_ = battery;
#line 30 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp1_ = power_utils_get_icon_name_for_battery (_tmp0_);
#line 30 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp2_ = _tmp1_;
#line 30 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp3_ = g_strconcat (_tmp2_, "-symbolic", NULL);
#line 30 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp4_ = _tmp3_;
#line 30 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_g_free0 (_tmp2_);
#line 30 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	result = _tmp4_;
#line 30 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	return result;
#line 172 "Utils.c"
}


gchar* power_utils_get_icon_name_for_battery (PowerServicesDevice* battery) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	PowerServicesDevice* _tmp1_ = NULL;
	guint32 _tmp2_ = 0U;
	guint32 _tmp3_ = 0U;
	gboolean _tmp4_ = FALSE;
	PowerServicesDevice* _tmp5_ = NULL;
	gdouble _tmp6_ = 0.0;
	gdouble _tmp7_ = 0.0;
	PowerServicesDevice* _tmp8_ = NULL;
	gint64 _tmp9_ = 0LL;
	gint64 _tmp10_ = 0LL;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
#line 33 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	g_return_val_if_fail (battery != NULL, NULL);
#line 35 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp1_ = battery;
#line 35 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp2_ = power_services_device_get_state (_tmp1_);
#line 35 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp3_ = _tmp2_;
#line 35 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp4_ = power_utils_is_charging (_tmp3_);
#line 35 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp4_) {
#line 35 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp0_ = "-charging";
#line 207 "Utils.c"
	} else {
#line 35 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp0_ = "";
#line 211 "Utils.c"
	}
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp5_ = battery;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp6_ = power_services_device_get_percentage (_tmp5_);
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp7_ = _tmp6_;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp8_ = battery;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp9_ = power_services_device_get_time_to_empty (_tmp8_);
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp10_ = _tmp9_;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp11_ = power_utils_get_battery_icon (_tmp7_, _tmp10_);
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp12_ = _tmp11_;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp13_ = g_strconcat (_tmp12_, _tmp0_, NULL);
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp14_ = _tmp13_;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_g_free0 (_tmp12_);
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	result = _tmp14_;
#line 34 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	return result;
#line 239 "Utils.c"
}


gchar* power_utils_get_icon_name_for_device (PowerServicesDevice* device) {
	gchar* result = NULL;
	PowerServicesDevice* _tmp0_ = NULL;
	guint32 _tmp1_ = 0U;
	guint32 _tmp2_ = 0U;
#line 38 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	g_return_val_if_fail (device != NULL, NULL);
#line 39 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp0_ = device;
#line 39 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp1_ = power_services_device_get_device_type (_tmp0_);
#line 39 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp2_ = _tmp1_;
#line 39 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	switch (_tmp2_) {
#line 39 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		case DEVICE_TYPE_PHONE:
#line 260 "Utils.c"
		{
			gchar* _tmp3_ = NULL;
#line 40 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp3_ = g_strdup ("phone");
#line 40 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			result = _tmp3_;
#line 40 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			return result;
#line 269 "Utils.c"
		}
#line 39 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		case DEVICE_TYPE_MOUSE:
#line 273 "Utils.c"
		{
			gchar* _tmp4_ = NULL;
#line 41 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp4_ = g_strdup ("input-mouse");
#line 41 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			result = _tmp4_;
#line 41 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			return result;
#line 282 "Utils.c"
		}
#line 39 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		case DEVICE_TYPE_KEYBOARD:
#line 286 "Utils.c"
		{
			gchar* _tmp5_ = NULL;
#line 42 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp5_ = g_strdup ("input-keyboard");
#line 42 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			result = _tmp5_;
#line 42 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			return result;
#line 295 "Utils.c"
		}
		default:
		{
			PowerServicesDevice* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
#line 43 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp6_ = device;
#line 43 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp7_ = power_utils_get_icon_name_for_battery (_tmp6_);
#line 43 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			result = _tmp7_;
#line 43 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			return result;
#line 309 "Utils.c"
		}
	}
}


gchar* power_utils_get_battery_icon (gdouble percentage, gint64 remaining_time) {
	gchar* result = NULL;
	gdouble _tmp0_ = 0.0;
	gboolean _tmp2_ = FALSE;
	gdouble _tmp3_ = 0.0;
	gdouble _tmp8_ = 0.0;
	gdouble _tmp10_ = 0.0;
	gdouble _tmp12_ = 0.0;
	gchar* _tmp14_ = NULL;
#line 48 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp0_ = percentage;
#line 48 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp0_ <= ((gdouble) 0)) {
#line 328 "Utils.c"
		gchar* _tmp1_ = NULL;
#line 49 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp1_ = g_strdup ("battery-good");
#line 49 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		result = _tmp1_;
#line 49 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		return result;
#line 336 "Utils.c"
	}
#line 52 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp3_ = percentage;
#line 52 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp3_ < ((gdouble) 10)) {
#line 342 "Utils.c"
		gboolean _tmp4_ = FALSE;
		gint64 _tmp5_ = 0LL;
#line 52 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp5_ = remaining_time;
#line 52 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		if (_tmp5_ == ((gint64) 0)) {
#line 52 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp4_ = TRUE;
#line 351 "Utils.c"
		} else {
			gint64 _tmp6_ = 0LL;
#line 52 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp6_ = remaining_time;
#line 52 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp4_ = _tmp6_ < ((gint64) (30 * 60));
#line 358 "Utils.c"
		}
#line 52 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp2_ = _tmp4_;
#line 362 "Utils.c"
	} else {
#line 52 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp2_ = FALSE;
#line 366 "Utils.c"
	}
#line 52 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp2_) {
#line 370 "Utils.c"
		gchar* _tmp7_ = NULL;
#line 53 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp7_ = g_strdup ("battery-empty");
#line 53 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		result = _tmp7_;
#line 53 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		return result;
#line 378 "Utils.c"
	}
#line 56 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp8_ = percentage;
#line 56 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp8_ < ((gdouble) 30)) {
#line 384 "Utils.c"
		gchar* _tmp9_ = NULL;
#line 57 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp9_ = g_strdup ("battery-caution");
#line 57 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		result = _tmp9_;
#line 57 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		return result;
#line 392 "Utils.c"
	}
#line 60 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp10_ = percentage;
#line 60 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp10_ < ((gdouble) 60)) {
#line 398 "Utils.c"
		gchar* _tmp11_ = NULL;
#line 61 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp11_ = g_strdup ("battery-low");
#line 61 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		result = _tmp11_;
#line 61 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		return result;
#line 406 "Utils.c"
	}
#line 64 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp12_ = percentage;
#line 64 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp12_ < ((gdouble) 80)) {
#line 412 "Utils.c"
		gchar* _tmp13_ = NULL;
#line 65 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp13_ = g_strdup ("battery-good");
#line 65 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		result = _tmp13_;
#line 65 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		return result;
#line 420 "Utils.c"
	}
#line 68 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp14_ = g_strdup ("battery-full");
#line 68 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	result = _tmp14_;
#line 68 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	return result;
#line 428 "Utils.c"
}


gboolean power_utils_is_charging (guint32 state) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	guint32 _tmp1_ = 0U;
#line 72 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp1_ = state;
#line 72 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp1_ == DEVICE_STATE_FULLY_CHARGED) {
#line 72 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp0_ = TRUE;
#line 442 "Utils.c"
	} else {
		guint32 _tmp2_ = 0U;
#line 72 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp2_ = state;
#line 72 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp0_ = _tmp2_ == DEVICE_STATE_CHARGING;
#line 449 "Utils.c"
	}
#line 72 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	result = _tmp0_;
#line 72 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	return result;
#line 455 "Utils.c"
}


gchar* power_utils_get_title_for_battery (PowerServicesDevice* battery) {
	gchar* result = NULL;
	gchar* title = NULL;
	gchar* _tmp0_ = NULL;
	PowerServicesDevice* _tmp1_ = NULL;
	guint32 _tmp2_ = 0U;
	guint32 _tmp3_ = 0U;
	gboolean _tmp25_ = FALSE;
	PowerServicesDevice* _tmp26_ = NULL;
	guint32 _tmp27_ = 0U;
	guint32 _tmp28_ = 0U;
	const gchar* _tmp36_ = NULL;
	gchar* _tmp37_ = NULL;
#line 75 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	g_return_val_if_fail (battery != NULL, NULL);
#line 76 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp0_ = g_strdup ("");
#line 76 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	title = _tmp0_;
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp1_ = battery;
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp2_ = power_services_device_get_device_type (_tmp1_);
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp3_ = _tmp2_;
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	switch (_tmp3_) {
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		case DEVICE_TYPE_BATTERY:
#line 488 "Utils.c"
		{
			const gchar* _tmp4_ = NULL;
			gchar* _tmp5_ = NULL;
#line 80 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp4_ = _ ("Battery");
#line 80 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp5_ = g_strdup (_tmp4_);
#line 80 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (title);
#line 80 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			title = _tmp5_;
#line 80 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			break;
#line 502 "Utils.c"
		}
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		case DEVICE_TYPE_UPS:
#line 506 "Utils.c"
		{
			const gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
#line 81 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp6_ = _ ("UPS");
#line 81 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp7_ = g_strdup (_tmp6_);
#line 81 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (title);
#line 81 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			title = _tmp7_;
#line 81 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			break;
#line 520 "Utils.c"
		}
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		case DEVICE_TYPE_MONITOR:
#line 524 "Utils.c"
		{
			const gchar* _tmp8_ = NULL;
			gchar* _tmp9_ = NULL;
#line 82 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp8_ = _ ("Display");
#line 82 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp9_ = g_strdup (_tmp8_);
#line 82 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (title);
#line 82 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			title = _tmp9_;
#line 82 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			break;
#line 538 "Utils.c"
		}
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		case DEVICE_TYPE_MOUSE:
#line 542 "Utils.c"
		{
			const gchar* _tmp10_ = NULL;
			gchar* _tmp11_ = NULL;
#line 83 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp10_ = _ ("Mouse");
#line 83 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp11_ = g_strdup (_tmp10_);
#line 83 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (title);
#line 83 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			title = _tmp11_;
#line 83 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			break;
#line 556 "Utils.c"
		}
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		case DEVICE_TYPE_KEYBOARD:
#line 560 "Utils.c"
		{
			const gchar* _tmp12_ = NULL;
			gchar* _tmp13_ = NULL;
#line 84 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp12_ = _ ("Keyboard");
#line 84 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp13_ = g_strdup (_tmp12_);
#line 84 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (title);
#line 84 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			title = _tmp13_;
#line 84 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			break;
#line 574 "Utils.c"
		}
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		case DEVICE_TYPE_PDA:
#line 578 "Utils.c"
		{
			const gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
#line 85 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp14_ = _ ("PDA");
#line 85 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp15_ = g_strdup (_tmp14_);
#line 85 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (title);
#line 85 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			title = _tmp15_;
#line 85 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			break;
#line 592 "Utils.c"
		}
#line 78 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		case DEVICE_TYPE_PHONE:
#line 596 "Utils.c"
		{
			const gchar* _tmp16_ = NULL;
			gchar* _tmp17_ = NULL;
#line 86 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp16_ = _ ("Phone");
#line 86 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp17_ = g_strdup (_tmp16_);
#line 86 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (title);
#line 86 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			title = _tmp17_;
#line 86 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			break;
#line 610 "Utils.c"
		}
		default:
		{
			PowerServicesDevice* _tmp18_ = NULL;
			const gchar* _tmp19_ = NULL;
			const gchar* _tmp20_ = NULL;
			gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
			const gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp18_ = battery;
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp19_ = power_services_device_get_vendor (_tmp18_);
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp20_ = _tmp19_;
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp21_ = g_strconcat (_tmp20_, " ", NULL);
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp22_ = _tmp21_;
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp23_ = _ ("Device");
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp24_ = g_strconcat (_tmp22_, _tmp23_, NULL);
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (title);
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			title = _tmp24_;
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (_tmp22_);
#line 87 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			break;
#line 643 "Utils.c"
		}
	}
#line 90 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp26_ = battery;
#line 90 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp27_ = power_services_device_get_device_type (_tmp26_);
#line 90 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp28_ = _tmp27_;
#line 90 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp28_ == DEVICE_TYPE_PHONE) {
#line 654 "Utils.c"
		PowerServicesDevice* _tmp29_ = NULL;
		const gchar* _tmp30_ = NULL;
		const gchar* _tmp31_ = NULL;
#line 90 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp29_ = battery;
#line 90 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp30_ = power_services_device_get_model (_tmp29_);
#line 90 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp31_ = _tmp30_;
#line 90 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp25_ = g_strcmp0 (_tmp31_, "") != 0;
#line 666 "Utils.c"
	} else {
#line 90 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp25_ = FALSE;
#line 670 "Utils.c"
	}
#line 90 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp25_) {
#line 674 "Utils.c"
		PowerServicesDevice* _tmp32_ = NULL;
		const gchar* _tmp33_ = NULL;
		const gchar* _tmp34_ = NULL;
		gchar* _tmp35_ = NULL;
#line 91 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp32_ = battery;
#line 91 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp33_ = power_services_device_get_model (_tmp32_);
#line 91 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp34_ = _tmp33_;
#line 91 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp35_ = g_strdup (_tmp34_);
#line 91 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_g_free0 (title);
#line 91 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		title = _tmp35_;
#line 691 "Utils.c"
	}
#line 94 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp36_ = title;
#line 94 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp37_ = g_strdup_printf ("<b>%s</b>", _tmp36_);
#line 94 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	result = _tmp37_;
#line 94 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_g_free0 (title);
#line 94 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	return result;
#line 703 "Utils.c"
}


gchar* power_utils_get_info_for_battery (PowerServicesDevice* battery) {
	gchar* result = NULL;
	gint percent = 0;
	PowerServicesDevice* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
	gdouble _tmp2_ = 0.0;
	gdouble _tmp3_ = 0.0;
	gboolean charging = FALSE;
	PowerServicesDevice* _tmp4_ = NULL;
	guint32 _tmp5_ = 0U;
	guint32 _tmp6_ = 0U;
	gboolean _tmp7_ = FALSE;
	gint _tmp8_ = 0;
	gchar* info = NULL;
	gchar* _tmp11_ = NULL;
	gboolean _tmp12_ = FALSE;
#line 97 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	g_return_val_if_fail (battery != NULL, NULL);
#line 98 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp0_ = battery;
#line 98 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp1_ = power_services_device_get_percentage (_tmp0_);
#line 98 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp2_ = _tmp1_;
#line 98 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp3_ = round (_tmp2_);
#line 98 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	percent = (gint) _tmp3_;
#line 99 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp4_ = battery;
#line 99 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp5_ = power_services_device_get_state (_tmp4_);
#line 99 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp6_ = _tmp5_;
#line 99 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp7_ = power_utils_is_charging (_tmp6_);
#line 99 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	charging = _tmp7_;
#line 101 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp8_ = percent;
#line 101 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp8_ <= 0) {
#line 749 "Utils.c"
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
#line 102 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp9_ = _ ("Calculating…");
#line 102 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 102 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		result = _tmp10_;
#line 102 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		return result;
#line 760 "Utils.c"
	}
#line 105 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp11_ = g_strdup ("");
#line 105 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	info = _tmp11_;
#line 107 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	_tmp12_ = charging;
#line 107 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	if (_tmp12_) {
#line 770 "Utils.c"
		const gchar* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		gint _tmp15_ = 0;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gint64 seconds = 0LL;
		PowerServicesDevice* _tmp19_ = NULL;
		gint64 _tmp20_ = 0LL;
		gint64 _tmp21_ = 0LL;
		gint64 _tmp22_ = 0LL;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp13_ = info;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp14_ = _ ("%i%% charged");
#line 108 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp15_ = percent;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp16_ = g_strdup_printf (_tmp14_, _tmp15_);
#line 108 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp17_ = _tmp16_;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp18_ = g_strconcat (_tmp13_, _tmp17_, NULL);
#line 108 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_g_free0 (info);
#line 108 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		info = _tmp18_;
#line 108 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_g_free0 (_tmp17_);
#line 110 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp19_ = battery;
#line 110 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp20_ = power_services_device_get_time_to_full (_tmp19_);
#line 110 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp21_ = _tmp20_;
#line 110 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		seconds = _tmp21_;
#line 112 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp22_ = seconds;
#line 112 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		if (_tmp22_ > ((gint64) 0)) {
#line 812 "Utils.c"
			const gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
			gint64 _tmp25_ = 0LL;
#line 113 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp23_ = info;
#line 113 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp24_ = g_strconcat (_tmp23_, " - ", NULL);
#line 113 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (info);
#line 113 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			info = _tmp24_;
#line 114 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp25_ = seconds;
#line 114 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			if (_tmp25_ >= ((gint64) 86400)) {
#line 828 "Utils.c"
				gint64 days = 0LL;
				gint64 _tmp26_ = 0LL;
				const gchar* _tmp27_ = NULL;
				gint64 _tmp28_ = 0LL;
				const gchar* _tmp29_ = NULL;
				gint64 _tmp30_ = 0LL;
				gchar* _tmp31_ = NULL;
				gchar* _tmp32_ = NULL;
				gchar* _tmp33_ = NULL;
#line 115 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp26_ = seconds;
#line 115 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				days = _tmp26_ / 86400;
#line 116 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp27_ = info;
#line 116 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp28_ = days;
#line 116 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp29_ = g_dngettext (CONSTANTS_GETTEXT_PACKAGE, "%lld day until full", "%lld days until full", (gulong) _tmp28_);
#line 116 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp30_ = days;
#line 116 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp31_ = g_strdup_printf (_tmp29_, _tmp30_);
#line 116 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp32_ = _tmp31_;
#line 116 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp33_ = g_strconcat (_tmp27_, _tmp32_, NULL);
#line 116 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_g_free0 (info);
#line 116 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				info = _tmp33_;
#line 116 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_g_free0 (_tmp32_);
#line 862 "Utils.c"
			} else {
				gint64 _tmp34_ = 0LL;
#line 117 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp34_ = seconds;
#line 117 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				if (_tmp34_ >= ((gint64) 3600)) {
#line 869 "Utils.c"
					gint64 hours = 0LL;
					gint64 _tmp35_ = 0LL;
					const gchar* _tmp36_ = NULL;
					gint64 _tmp37_ = 0LL;
					const gchar* _tmp38_ = NULL;
					gint64 _tmp39_ = 0LL;
					gchar* _tmp40_ = NULL;
					gchar* _tmp41_ = NULL;
					gchar* _tmp42_ = NULL;
#line 118 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp35_ = seconds;
#line 118 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					hours = _tmp35_ / 3600;
#line 119 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp36_ = info;
#line 119 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp37_ = hours;
#line 119 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp38_ = g_dngettext (CONSTANTS_GETTEXT_PACKAGE, "%lld hour until full", "%lld hours until full", (gulong) _tmp37_);
#line 119 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp39_ = hours;
#line 119 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp40_ = g_strdup_printf (_tmp38_, _tmp39_);
#line 119 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp41_ = _tmp40_;
#line 119 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp42_ = g_strconcat (_tmp36_, _tmp41_, NULL);
#line 119 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_g_free0 (info);
#line 119 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					info = _tmp42_;
#line 119 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_g_free0 (_tmp41_);
#line 903 "Utils.c"
				} else {
					gint64 _tmp43_ = 0LL;
#line 120 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp43_ = seconds;
#line 120 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					if (_tmp43_ >= ((gint64) 60)) {
#line 910 "Utils.c"
						gint64 minutes = 0LL;
						gint64 _tmp44_ = 0LL;
						const gchar* _tmp45_ = NULL;
						gint64 _tmp46_ = 0LL;
						const gchar* _tmp47_ = NULL;
						gint64 _tmp48_ = 0LL;
						gchar* _tmp49_ = NULL;
						gchar* _tmp50_ = NULL;
						gchar* _tmp51_ = NULL;
#line 121 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp44_ = seconds;
#line 121 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						minutes = _tmp44_ / 60;
#line 122 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp45_ = info;
#line 122 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp46_ = minutes;
#line 122 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp47_ = g_dngettext (CONSTANTS_GETTEXT_PACKAGE, "%lld minute until full", "%lld minutes until full", (gulong) _tmp46_);
#line 122 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp48_ = minutes;
#line 122 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp49_ = g_strdup_printf (_tmp47_, _tmp48_);
#line 122 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp50_ = _tmp49_;
#line 122 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp51_ = g_strconcat (_tmp45_, _tmp50_, NULL);
#line 122 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_g_free0 (info);
#line 122 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						info = _tmp51_;
#line 122 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_g_free0 (_tmp50_);
#line 944 "Utils.c"
					} else {
						const gchar* _tmp52_ = NULL;
						gint64 _tmp53_ = 0LL;
						const gchar* _tmp54_ = NULL;
						gint64 _tmp55_ = 0LL;
						gchar* _tmp56_ = NULL;
						gchar* _tmp57_ = NULL;
						gchar* _tmp58_ = NULL;
#line 124 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp52_ = info;
#line 124 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp53_ = seconds;
#line 124 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp54_ = g_dngettext (CONSTANTS_GETTEXT_PACKAGE, "%lld second until full", "%lld seconds until full", (gulong) _tmp53_);
#line 124 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp55_ = seconds;
#line 124 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp56_ = g_strdup_printf (_tmp54_, _tmp55_);
#line 124 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp57_ = _tmp56_;
#line 124 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp58_ = g_strconcat (_tmp52_, _tmp57_, NULL);
#line 124 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_g_free0 (info);
#line 124 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						info = _tmp58_;
#line 124 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_g_free0 (_tmp57_);
#line 973 "Utils.c"
					}
				}
			}
		}
	} else {
		const gchar* _tmp59_ = NULL;
		const gchar* _tmp60_ = NULL;
		gint _tmp61_ = 0;
		gchar* _tmp62_ = NULL;
		gchar* _tmp63_ = NULL;
		gchar* _tmp64_ = NULL;
		gint64 seconds = 0LL;
		PowerServicesDevice* _tmp65_ = NULL;
		gint64 _tmp66_ = 0LL;
		gint64 _tmp67_ = 0LL;
		gint64 _tmp68_ = 0LL;
#line 128 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp59_ = info;
#line 128 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp60_ = _ ("%i%% remaining");
#line 128 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp61_ = percent;
#line 128 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp62_ = g_strdup_printf (_tmp60_, _tmp61_);
#line 128 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp63_ = _tmp62_;
#line 128 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp64_ = g_strconcat (_tmp59_, _tmp63_, NULL);
#line 128 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_g_free0 (info);
#line 128 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		info = _tmp64_;
#line 128 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_g_free0 (_tmp63_);
#line 130 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp65_ = battery;
#line 130 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp66_ = power_services_device_get_time_to_empty (_tmp65_);
#line 130 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp67_ = _tmp66_;
#line 130 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		seconds = _tmp67_;
#line 132 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		_tmp68_ = seconds;
#line 132 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
		if (_tmp68_ > ((gint64) 0)) {
#line 1020 "Utils.c"
			const gchar* _tmp69_ = NULL;
			gchar* _tmp70_ = NULL;
			gint64 _tmp71_ = 0LL;
#line 133 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp69_ = info;
#line 133 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp70_ = g_strconcat (_tmp69_, " - ", NULL);
#line 133 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_g_free0 (info);
#line 133 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			info = _tmp70_;
#line 134 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			_tmp71_ = seconds;
#line 134 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
			if (_tmp71_ >= ((gint64) 86400)) {
#line 1036 "Utils.c"
				gint64 days = 0LL;
				gint64 _tmp72_ = 0LL;
				const gchar* _tmp73_ = NULL;
				gint64 _tmp74_ = 0LL;
				const gchar* _tmp75_ = NULL;
				gint64 _tmp76_ = 0LL;
				gchar* _tmp77_ = NULL;
				gchar* _tmp78_ = NULL;
				gchar* _tmp79_ = NULL;
#line 135 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp72_ = seconds;
#line 135 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				days = _tmp72_ / 86400;
#line 136 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp73_ = info;
#line 136 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp74_ = days;
#line 136 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp75_ = g_dngettext (CONSTANTS_GETTEXT_PACKAGE, "%lld day until empty", "%lld days until empty", (gulong) _tmp74_);
#line 136 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp76_ = days;
#line 136 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp77_ = g_strdup_printf (_tmp75_, _tmp76_);
#line 136 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp78_ = _tmp77_;
#line 136 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp79_ = g_strconcat (_tmp73_, _tmp78_, NULL);
#line 136 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_g_free0 (info);
#line 136 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				info = _tmp79_;
#line 136 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_g_free0 (_tmp78_);
#line 1070 "Utils.c"
			} else {
				gint64 _tmp80_ = 0LL;
#line 137 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				_tmp80_ = seconds;
#line 137 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
				if (_tmp80_ >= ((gint64) 3600)) {
#line 1077 "Utils.c"
					gint64 hours = 0LL;
					gint64 _tmp81_ = 0LL;
					const gchar* _tmp82_ = NULL;
					gint64 _tmp83_ = 0LL;
					const gchar* _tmp84_ = NULL;
					gint64 _tmp85_ = 0LL;
					gchar* _tmp86_ = NULL;
					gchar* _tmp87_ = NULL;
					gchar* _tmp88_ = NULL;
#line 138 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp81_ = seconds;
#line 138 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					hours = _tmp81_ / 3600;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp82_ = info;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp83_ = hours;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp84_ = g_dngettext (CONSTANTS_GETTEXT_PACKAGE, "%lld hour until empty", "%lld hours until empty", (gulong) _tmp83_);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp85_ = hours;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp86_ = g_strdup_printf (_tmp84_, _tmp85_);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp87_ = _tmp86_;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp88_ = g_strconcat (_tmp82_, _tmp87_, NULL);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_g_free0 (info);
#line 139 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					info = _tmp88_;
#line 139 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_g_free0 (_tmp87_);
#line 1111 "Utils.c"
				} else {
					gint64 _tmp89_ = 0LL;
#line 140 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					_tmp89_ = seconds;
#line 140 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
					if (_tmp89_ >= ((gint64) 60)) {
#line 1118 "Utils.c"
						gint64 minutes = 0LL;
						gint64 _tmp90_ = 0LL;
						const gchar* _tmp91_ = NULL;
						gint64 _tmp92_ = 0LL;
						const gchar* _tmp93_ = NULL;
						gint64 _tmp94_ = 0LL;
						gchar* _tmp95_ = NULL;
						gchar* _tmp96_ = NULL;
						gchar* _tmp97_ = NULL;
#line 141 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp90_ = seconds;
#line 141 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						minutes = _tmp90_ / 60;
#line 142 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp91_ = info;
#line 142 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp92_ = minutes;
#line 142 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp93_ = g_dngettext (CONSTANTS_GETTEXT_PACKAGE, "%lld minute until empty", "%lld minutes until empty", (gulong) _tmp92_);
#line 142 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp94_ = minutes;
#line 142 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp95_ = g_strdup_printf (_tmp93_, _tmp94_);
#line 142 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp96_ = _tmp95_;
#line 142 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp97_ = g_strconcat (_tmp91_, _tmp96_, NULL);
#line 142 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_g_free0 (info);
#line 142 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						info = _tmp97_;
#line 142 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_g_free0 (_tmp96_);
#line 1152 "Utils.c"
					} else {
						const gchar* _tmp98_ = NULL;
						gint64 _tmp99_ = 0LL;
						const gchar* _tmp100_ = NULL;
						gint64 _tmp101_ = 0LL;
						gchar* _tmp102_ = NULL;
						gchar* _tmp103_ = NULL;
						gchar* _tmp104_ = NULL;
#line 144 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp98_ = info;
#line 144 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp99_ = seconds;
#line 144 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp100_ = g_dngettext (CONSTANTS_GETTEXT_PACKAGE, "%lld second until empty", "%lld seconds until empty", (gulong) _tmp99_);
#line 144 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp101_ = seconds;
#line 144 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp102_ = g_strdup_printf (_tmp100_, _tmp101_);
#line 144 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp103_ = _tmp102_;
#line 144 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_tmp104_ = g_strconcat (_tmp98_, _tmp103_, NULL);
#line 144 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_g_free0 (info);
#line 144 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						info = _tmp104_;
#line 144 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
						_g_free0 (_tmp103_);
#line 1181 "Utils.c"
					}
				}
			}
		}
	}
#line 149 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	result = info;
#line 149 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	return result;
#line 1191 "Utils.c"
}


void power_utils_translations (void) {
#line 154 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	ngettext ("%lld day until full", "%lld days until full", (gulong) 0);
#line 155 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	ngettext ("%lld hour until full", "%lld hours until full", (gulong) 0);
#line 156 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	ngettext ("%lld minute until full", "%lld minutes until full", (gulong) 0);
#line 157 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	ngettext ("%lld second until full", "%lld seconds until full", (gulong) 0);
#line 158 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	ngettext ("%lld day until empty", "%lld days until empty", (gulong) 0);
#line 159 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	ngettext ("%lld hour until empty", "%lld hours until empty", (gulong) 0);
#line 160 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	ngettext ("%lld minute until empty", "%lld minutes until empty", (gulong) 0);
#line 161 "/builddir/build/BUILD/wingpanel-indicator-power-2.0.1/src/Utils.vala"
	ngettext ("%lld second until empty", "%lld seconds until empty", (gulong) 0);
#line 1212 "Utils.c"
}



